<template>
  <v-form>
    <v-container>
      <v-row>
        <v-col cols='12'>
          <v-text-field
            v-model='message'
            outlined
            clearable
            label='Message'
            type='text'
            :value='remark'
            @change="$emit('update:remark', $event)"
          >
            <template v-slot:append-outer>
              <v-menu>
                <template v-slot:activator='{ on, attrs }'>
                  <v-btn
                    v-bind='attrs'
                    v-on='on'
                    large
                    color='primary'
                    @click='submit(message)'
                  >send Message</v-btn>
                </template>
                <v-card></v-card>
              </v-menu>
            </template>
          </v-text-field>
        </v-col>
      </v-row>
    </v-container>
  </v-form>
</template>

<script>
export default {
  data: () => ({
    message: '',
    loading: false,
  }),
  props: {
    remark: {
      type: String,
      required: true,
    },
  },
  methods: {
    submit(msg) {
      this.loading = true;
      this.message = msg;
      console.log(this.message);
      this.$emit('submit');
      this.message = '';
    },
  },
};
</script>
